Ptex: PtexReader::Level Class Reference

Ptex

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | List of all members
PtexReader::Level Class Reference

`#include <PtexReader.h>`

Inheritance diagram for PtexReader::Level:

## Public Member Functions
| Level (void **parent, PtexCacheImpl *cache, int nfaces)
Public Member Functions inherited from PtexCachedData
| PtexCachedData (void **parent, PtexCacheImpl *cache, int size)
void | ref ()
void | unref ()
Public Member Functions inherited from PtexLruItem
bool | inuse ()
void | orphan ()

## Public Attributes
safevector< FaceDataHeader > | fdh
safevector< FilePos > | offsets
safevector< FaceData * > | faces

## Protected Member Functions
virtual | ~Level ()
Protected Member Functions inherited from PtexCachedData
void | incSize (int size)
virtual | ~PtexCachedData ()
Protected Member Functions inherited from PtexLruItem
| PtexLruItem (void **parent=0)
virtual | ~PtexLruItem ()

## Additional Inherited Members
Static Public Member Functions inherited from PtexLruItem
template<typename T >
static void | orphanList (T &list)
Protected Attributes inherited from PtexCachedData
PtexCacheImpl * | _cache

## Detailed Description

Definition at line 447 of file PtexReader.h.

## Constructor & Destructor Documentation

PtexReader::Level::Level | ( | void ** | parent,
|  | PtexCacheImpl * | cache,
|  | int | nfaces
| ) |  |
| inline

Definition at line 453 of file PtexReader.h.

virtual PtexReader::Level::~Level | ( |  | ) |
| inlineprotectedvirtual

Definition at line 462 of file PtexReader.h.

## Member Data Documentation

safevector<FaceData*> PtexReader::Level::faces

Definition at line 451 of file PtexReader.h.

Referenced by PtexReader::getData(), PtexReader::getFace(), and PtexReader::readFace().

safevector<FaceDataHeader> PtexReader::Level::fdh

Definition at line 449 of file PtexReader.h.

Referenced by PtexReader::readFace(), and PtexReader::readLevel().

safevector<FilePos> PtexReader::Level::offsets

Definition at line 450 of file PtexReader.h.

Referenced by PtexReader::readFace(), and PtexReader::readLevel().

The documentation for this class was generated from the following file:

- PtexReader.h